karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: ActiveMQ and Camel 2.17.x on Karaf 3.x
Date Fri, 20 May 2016 06:02:10 GMT
Hi,

As discussed on IRC, it's not surprising ;)

I have a change that need a couple of polish and test.

I will let you know when complete.

Regards
JB

On 05/19/2016 11:26 PM, Krzysztof Sobkowiak wrote:
> Hi
>
> Almost a month ago I have described a problem with ActiveMQ and Camel 2.17.x on Karaf
4.x (http://karaf.922171.n3.nabble.com/ActiveMQ-and-Camel-2-17-x-on-Karaf-td4046427.html).
> I tried the same tests on 3.0.6 (and 3.0.7-SNAPSHOT) with following result
>
> karaf@root()> feature:repo-add camel 2.17.1
> Adding feature url mvn:org.apache.camel.karaf/apache-camel/2.17.1/xml/features
> karaf@root()> feature:repo-add activemq 5.12.3
> Adding feature url mvn:org.apache.activemq/activemq-karaf/5.12.3/xml/features
> karaf@root()> feature:install activemq-broker-noweb
> karaf@root()> activemq:list
> brokerName = amq-broker
> karaf@root()> feature:install -v activemq-camel
> Installing feature activemq-camel 5.12.3
> Found installed feature activemq-client 5.12.3
> Installing feature camel-jms 2.17.1
> Installing feature camel-core 2.17.1
> Installing feature xml-specs-api 2.6.0
> Installing bundle mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.activation-api-1.1/2.6.0
> Installing bundle mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.stax-api-1.0/2.6.0
> Installing bundle mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxb-api-2.2/2.6.0
> Installing bundle mvn:org.codehaus.woodstox/stax2-api/3.1.4
> Installing bundle mvn:org.codehaus.woodstox/woodstox-core-asl/4.4.1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jaxb-impl/2.2.6_1
> Installing bundle mvn:org.apache.camel/camel-core/2.17.1
> Installing bundle mvn:org.apache.camel/camel-catalog/2.17.1
> Installing feature spring 4.2.4.RELEASE_1
> Found installed bundle: org.apache.servicemix.bundles.aopalliance [82]
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-core/4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-expression/4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-beans/4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-aop/4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-context/4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-context-support/4.2.4.RELEASE_1
> Installing feature spring-jms 4.2.4.RELEASE_1
> Installing feature spring-tx 4.2.4.RELEASE_1
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-tx/4.2.4.RELEASE_1
> Found installed bundle: org.apache.geronimo.specs.geronimo-jta_1.1_spec [67]
> Found installed bundle: org.apache.geronimo.specs.geronimo-jms_1.1_spec [96]
> Installing bundle mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-jms/4.2.4.RELEASE_1
> Found installed bundle: org.apache.geronimo.specs.geronimo-jta_1.1_spec [67]
> Installing bundle mvn:commons-pool/commons-pool/1.6
> Found installed bundle: org.apache.geronimo.specs.geronimo-jms_1.1_spec [96]
> Installing bundle mvn:org.apache.camel/camel-jms/2.17.1
> Installing feature camel 2.17.1
> Installing feature camel-blueprint 2.17.1
> Installing bundle mvn:org.apache.camel/camel-blueprint/2.17.1
> Installing bundle mvn:org.apache.activemq/activemq-camel/5.12.3
> Error executing command: Can't install feature activemq-camel/0.0.0:
> Could not start bundle mvn:org.apache.activemq/activemq-camel/5.12.3 in feature(s) activemq-camel-5.12.3:
Uses constraint violation. Unable to resolve bundle revision org.apache.activemq.activemq-camel
[144.0] because it is exposed to package 'org.springframework.core.io' from bundle revisions
org.apache.servicemix.bundles.spring-core [83.0] and org.apache.servicemix.bundles.spring-core
[133.0] via two dependency chains.
>
> Chain 1:
>    org.apache.activemq.activemq-camel [144.0]
>      import: (osgi.wiring.package=org.springframework.core.io)
>       |
>      export: osgi.wiring.package=org.springframework.core.io
>    org.apache.servicemix.bundles.spring-core [83.0]
>
> Chain 2:
>    org.apache.activemq.activemq-camel [144.0]
>      import: (&(osgi.wiring.package=org.springframework.jms.connection)(version>=3.0.0)(!(version>=5.0.0)))
>       |
>      export: osgi.wiring.package=org.springframework.jms.connection; uses:=org.springframework.transaction.support
>    org.apache.servicemix.bundles.spring-jms [140.0]
>      import: (&(osgi.wiring.package=org.springframework.transaction.support)(version>=4.2.4.RELEASE)(!(version>=4.3.0)))
>       |
>      export: osgi.wiring.package=org.springframework.transaction.support; uses:=org.springframework.beans.factory
>    org.apache.servicemix.bundles.spring-tx [139.0]
>      import: (&(osgi.wiring.package=org.springframework.beans.factory)(version>=4.2.4.RELEASE)(!(version>=4.3.0)))
>       |
>      export: osgi.wiring.package=org.springframework.beans.factory; uses:=org.springframework.core.io.support
>    org.apache.servicemix.bundles.spring-beans [135.0]
>      import: (&(osgi.wiring.package=org.springframework.core.io.support)(version>=4.2.4.RELEASE)(!(version>=4.3.0)))
>       |
>      export: osgi.wiring.package=org.springframework.core.io.support; uses:=org.springframework.core.io
>      export: osgi.wiring.package=org.springframework.core.io
>    org.apache.servicemix.bundles.spring-core [133.0]
> karaf@root()>
>
> It seems to be something similar (higher Spring version is installed). It looks again
like something connected with Spring JMS
>
> Regards
> Krzysztof
>
>
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message